Bug 1259840 - [GSS](6.4.z) Remove caching of the value of isTraceEnabled for JCA infrastructure
[GSS](6.4.z) Remove caching of the value of isTraceEnabled for JCA infrastruc...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA (Show other bugs)
6.4.4
Unspecified Unspecified
high Severity high
: CR1
: EAP 6.4.6
Assigned To: baranowb
Martin Simka
:
Depends On:
Blocks: 1235746 1275283
  Show dependency treegraph
 
Reported: 2015-09-03 11:26 EDT by jolee
Modified: 2017-01-17 06:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBJCA-1294 Major Closed caching the value of isTraceEnabled 2017-03-22 08:20 EDT
Red Hat Knowledge Base (Solution) 408613 None None None Never

  None (edit)
Description jolee 2015-09-03 11:26:20 EDT
Description of problem:
   caching the value of isTraceEnabled does not allow for complete dynamic control of the logging level.  This has ramifications in support scenarios where diagnostics are needed and the ability to reload an instance to enable TRACE level logging is prohibitive.

see examples of TRACE being cached (similar to below in https://github.com/ironjacamar/ironjacamar/tree/1.0):
grep 'log.isTraceEnabled();' -r * --include='*.java'

Replacement of all if (trace) with calls to log.tracef would be needed.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Jesper Pedersen 2015-09-04 07:30:36 EDT
Note, that some "if (trace)" would have to be replaced by if (log.isTraceEnabled()) calls, as they guard multiple lines of code, and even synchronization blocks
Comment 14 JBoss JIRA Server 2015-12-10 09:19:41 EST
Jesper Pedersen <jpederse@redhat.com> updated the status of jira JBJCA-1294 to Resolved
Comment 15 JBoss JIRA Server 2015-12-10 09:29:53 EST
Jesper Pedersen <jpederse@redhat.com> updated the status of jira JBJCA-1294 to Closed
Comment 17 Martin Simka 2016-01-20 06:39:17 EST
verified with EAP 6.4.6.CP.CR2
Comment 18 Petr Penicka 2017-01-17 06:47:19 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 19 Petr Penicka 2017-01-17 06:48:06 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.